precision highp float;

uniform mat4		u_WVP;			// named param

attribute vec3 		vPosition;
attribute vec4 		vColor;

varying vec4        v_col;

void main()
{		
	v_col = vColor;	
	v_col.b = vColor.r;
	v_col.r = vColor.b;
			
	gl_Position = u_WVP * vec4(vPosition, 1.0);
}