precision highp float;

varying vec4        v_col;
varying vec2        v_tex0;

uniform sampler2D 	u_tex0;

void main()
{
	vec4 textureCol = texture2D(u_tex0, v_tex0);

	vec4 finalCol = vec4(textureCol.r * v_col.r, textureCol.g * v_col.g, textureCol.b * v_col.b, textureCol.a * v_col.a);
	
	gl_FragColor = vec4(finalCol.rgb, finalCol.a);
}