precision highp float;
//uniform vec4 		u_RTTxywh;		// named param
//uniform mat4		u_WVP;			// named param
uniform vec4 		u_fSpecularData;		// named param

uniform sampler2D 	u_tex0;				// named param
//uniform sampler2D 	u_tex1;				// named param

varying vec4        v_col;
varying vec2        v_tex0;
varying vec2        v_tex1;
varying vec3        v_dirToLight;
varying vec3        v_pos;


void main()
{
	float selfIllum = texture2D(u_tex0, vec2(v_tex1.x + 0.5, v_tex1.y)).z; // 0.468
	
	vec4 fvBaseColor = texture2D(u_tex0, v_tex1);
	
	vec4 fvRealColor = fvBaseColor * v_col + (fvBaseColor * selfIllum);

	gl_FragColor = clamp(fvRealColor, 0.0, 1.0);
}