precision highp float;

uniform mat4		u_WVP;			// named param
uniform vec4 		u_RTTxywh;		// named param	0 	16240 	416 	280
uniform vec4 		u_RTTtex_xywh;	// named param	0 	0 		0.4 	0.28

attribute vec3 		vPosition;
attribute vec4 		vColor;
attribute vec2 		vCoords;
attribute vec2 		vCoords2;

varying vec4        v_col;
varying vec2        v_tex0;
varying vec2        v_tex1;
varying vec3        v_pos;

void main()
{		
	v_col = vColor;	
	v_col.b = vColor.r;
	v_col.r = vColor.b;
	
	v_tex0.x = vCoords.x;
	v_tex0.y = 1.0 - vCoords.y;	
					
		
	gl_Position = u_WVP * vec4(vPosition, 1.0);
	
	v_pos = gl_Position.xyz;	
}